Qt 5.9 | Qt SVG | C++ Classes | QGraphicsSvgItem

Qt 5.9.2 Reference Documentation

# Obsolete Members for QGraphicsSvgItem

The following members of class QGraphicsSvgItem are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` bool | isCachingEnabled() const
`(obsolete)` void | setCachingEnabled(bool caching)

## Member Function Documentation

### bool QGraphicsSvgItem::isCachingEnabled() const

Use QGraphicsItem::cacheMode() instead.

### void QGraphicsSvgItem::setCachingEnabled(bool caching)

Use QGraphicsItem::setCacheMode() instead. Passing true to this function is equivalent to QGraphicsItem::setCacheMode(QGraphicsItem::DeviceCoordinateCache).

See also isCachingEnabled().